Ler regras de validação para uma propriedade
curl --request GET \
--url https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"ruleArguments": [
"<string>"
],
"ruleType": "AFTER_DATETIME_DURATION",
"shouldApplyNormalization": true
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Validações de propriedade
Read validation rules for a property
Leia as regras de validação de uma propriedade identifcada por .
GET
/
crm
/
property-validations
/
2026-03
/
{objectTypeId}
/
{propertyName}
Ler regras de validação para uma propriedade
Supported products
Supported products
Required Scopes
Required Scopes
Autorizações
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Resposta
successful operation
Conjunto de regras de validação configuradas para a propriedade especificada. Cada regra define uma restrição que os valores da propriedade devem satisfazer (por exemplo, requisitos de formato, limites de comprimento, valores permitidos).
Show child attributes
Show child attributes
Última modificação em 10 de abril de 2026